SuSE 11.1 Security Update : libsoup (SAT Patch Number 4945)

Medium Nessus Plugin ID 55774


The remote SuSE 11 host is missing one or more security updates.


This update of libsoup fixes a directory traversal attack that affect application using the library. CVE-2011-2524: CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:P/I:N/A:N)


Apply SAT patch number 4945.

See Also

Plugin Details

Severity: Medium

ID: 55774

File Name: suse_11_libsoup-110731.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2011/08/08

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libsoup-2_4-1, p-cpe:/a:novell:suse_linux:11:libsoup-2_4-1-32bit, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/07/31

Reference Information

CVE: CVE-2011-2524